Subject: Re: Unable to halt or reboot due to - unregister_netdevice: waiting for eth0.20 to become free. Usage count = 1

From: Ben Greear <[email-masked]>
Date: Wed, 06 Sep 2006 11:01:40 -0700

Jesper Juhl wrote:
> Ok, I've done some more testing and it seems, unfortunately, that I
> can't trigger the problem reliably. I guess I was just "lucky" with my
> first few reboots.
> It now seems that uptime and/or amount of data that has flowed over
> the vlan interface impacts the probability of hitting the problem.

Back when I was chasing the neighbor table leak, I wrote a patch to
catch ref-count leaks for net devices.  It was against 2.6.13 or so,
but if nothing else is helping, it might be worth dusting off.

I put what I believe was the last iteration of that patch here:

http://www.candelatech.com/oss/rfcnt.patch

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com